include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions( -DTQT -DSCI_LEXER )

##### tqscintilla (shared)

tde_add_library( tqscintilla SHARED AUTOMOC

  SOURCES
        tqextscintilla.cpp
        tqextscintillaapis.cpp
        tqextscintillabase.cpp
        tqextscintillacommand.cpp
        tqextscintillacommandset.cpp
        tqextscintilladocument.cpp
        tqextscintillalexer.cpp
        tqextscintillalexerbash.cpp
        tqextscintillalexerbatch.cpp
        tqextscintillalexercpp.cpp
        tqextscintillalexercsharp.cpp
        tqextscintillalexercss.cpp
        tqextscintillalexerdiff.cpp
        tqextscintillalexerhtml.cpp
        tqextscintillalexeridl.cpp
        tqextscintillalexerjava.cpp
        tqextscintillalexerjavascript.cpp
        tqextscintillalexerlua.cpp
        tqextscintillalexermakefile.cpp
        tqextscintillalexerperl.cpp
        tqextscintillalexerpov.cpp
        tqextscintillalexerproperties.cpp
        tqextscintillalexerpython.cpp
        tqextscintillalexerruby.cpp
        tqextscintillalexersql.cpp
        tqextscintillalexertex.cpp
        tqextscintillamacro.cpp
        tqextscintillaprinter.cpp
        SciListBox.cpp
        PlatTQt.cpp
        ScintillaTQt.cpp
  LINK
     ${TQT_LIBRARIES}
     src-static

  VERSION 7.0.1

  DESTINATION ${LIB_INSTALL_DIR}
)


###### other data
# translations

file( GLOB _translations RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} tqscintilla_*.qm )

install(
    FILES ${_translations}
    DESTINATION ${TQT_TRANSLATIONS_DIR}
)


# headers

file( GLOB _includes RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} tqextscintilla*.h )

install(
    FILES ${_includes}
    DESTINATION ${TQT_INCLUDES_DIR}
)
